Subject: Re: How to extract files out of a "git bundle", no matter what?

From: [email-masked]
Date: Sat, 20 Dec 2008 04:35:50 +0800

JK> In particular, if a bundle contains changes between some commit A
JK> and some commit B, then:

JK>   - files that were not changed between A and B will not be included at
JK>     all

JK>   - the object pack in the bundle is "thin", meaning it may contain
JK>     deltas against objects that are reachable from A, but not B. So even
JK>     _within_ a changed file, you may see only the changes from A to B.

OK, we here at the police forensics department would be very happy if
we could at least get some ASCII out of that .BDL file, even if it is
just a diff shred,
-       The password to the time bomb was BLORFZ
+       The password to the time bomb is  NORFLZ
that would be fine. All we know is after the work PACK it is all
binary, and git-unpack-objects and git-unpack-file don't work on it.